SERCOM_I2CS_INTFLAG_Type Union Reference

## Data Fields

struct {
__I uint8_t PREC:1
__I uint8_t AMATCH:1
__I uint8_t DRDY:1
__I uint8_t:4
__I uint8_t ERROR:1
} | bit
uint8_t | reg

## Detailed Description

Definition at line 924 of file sercom.h.

## Field Documentation

## AMATCH

__I uint8_t SERCOM_I2CS_INTFLAG_Type::AMATCH

bit: 1 Address Match Interrupt

Definition at line 927 of file sercom.h.

## bit

struct { ... } SERCOM_I2CS_INTFLAG_Type::bit

Structure used for bit access

## DRDY

__I uint8_t SERCOM_I2CS_INTFLAG_Type::DRDY

bit: 2 Data Interrupt

Definition at line 928 of file sercom.h.

## ERROR

__I uint8_t SERCOM_I2CS_INTFLAG_Type::ERROR

bit: 7 Combined Error Interrupt

Definition at line 930 of file sercom.h.

## PREC

__I uint8_t SERCOM_I2CS_INTFLAG_Type::PREC

bit: 0 Stop Received Interrupt

Definition at line 926 of file sercom.h.

## reg

uint8_t SERCOM_I2CS_INTFLAG_Type::reg

Type used for register access

Definition at line 932 of file sercom.h.

## uint8_t

__I SERCOM_I2CS_INTFLAG_Type::uint8_t

bit: 3.. 6 Reserved

Definition at line 929 of file sercom.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/sercom.h